|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Files | Functions
Interrupt Driver
MPLABX MCC Melody Code Generator

Interrupt Priority configuration driver using dsPIC MCUs. More...

Collaboration diagram for Interrupt Driver:

## Files
file | interrupt.c
| This is the generated driver source file for INTERRUPT driver.

## Functions
void | INTERRUPT_Initialize (void)
| Initializes the interrupt priorities of the modules that have been configured.
void | INTERRUPT_Deinitialize (void)
| Deinitializes the INTERRUPT to POR values.
static void | INTERRUPT_GlobalEnable (void)
| Enables the global interrupt bit.
static void | INTERRUPT_GlobalDisable (void)
| Disables the global interrupt bit.
static uint16_t | INTERRUPT_VectorNumberGet (void)
| Returns the pending Interrupt Vector number.

## Detailed Description

This is the generated driver types header file for the INTERRUPT driver.

## Function Documentation

## ◆ INTERRUPT_Deinitialize()

void INTERRUPT_Deinitialize | ( | void |  | ) |

Parameters

  none |

Returns
  none

Definition at line 60 of file interrupt.c.

## ◆ INTERRUPT_GlobalDisable()

static void INTERRUPT_GlobalDisable | ( | void |  | ) |
| inlinestatic

Parameters

  none |

Returns
  none

Definition at line 76 of file interrupt.h.

Here is the caller graph for this function:

## ◆ INTERRUPT_GlobalEnable()

static void INTERRUPT_GlobalEnable | ( | void |  | ) |
| inlinestatic

Parameters

  none |

Returns
  none

Definition at line 65 of file interrupt.h.

Here is the caller graph for this function:

## ◆ INTERRUPT_Initialize()

void INTERRUPT_Initialize | ( | void |  | ) |

Parameters

  none |

Returns
  none

Definition at line 44 of file interrupt.c.

Here is the caller graph for this function:

## ◆ INTERRUPT_VectorNumberGet()

static uint16_t INTERRUPT_VectorNumberGet | ( | void |  | ) |
| inlinestatic

Parameters

  none |

Returns
  Returns the pending Interrupt Vector number

Definition at line 87 of file interrupt.h.